       Identification Division.
       Program-Id. PTSSZU2.
      *
      *-----------------------------------------------------------------
      *
      * PTSSZU2   M O D U L - Programm
      *
      *-----------------------------------------------------------------
      *
      *    Verfasser:         STUTTGARTER VERSICHERUNG
      *
      *    Erstellt : A320AS         Projekt : PTSS
      *                                Datum : 22/06/21
      *                           RZ-Auftrag :
      *                     Auftragsreferenz :
      *    Kurzbeschreibung:
      *    Addiert Zahlen
      *    _________________________________________________________
      *    _________________________________________________________
      *
      *-----------------------------------------------------------------
      *
      *              A E N D E R U N G S N A C H W E I S E
      *
      *-----------------------------------------------------------------
TTMMJJ* <=== Kennung der Source-Änderung        RZ-Auftrag:
      *-----------------------------------------------------------------
      * Anlass  ! ____________________________________________
      * --------!-------------------------------------------------------
      * Änderer ! (USER-ID)                     am: TT.MM.JJJJ
      *-----------------------------------------------------------------
       Environment Division.
       Configuration Section.
DEBUG *Source-Computer. IBM-zSeries With Debugging Mode.
       Special-Names.
           Decimal-Point Is Comma.
       Input-Output Section.
       File-Control.
      *
       Data Division.
       File Section.
      *
      *-----------------------------------------------------------------
       Working-Storage Section.
      *
       01 Programmnamen.
          05 Allgemein.
             10 PFGBnnn-dynamisch       Pic X(08) Value '        '.
          05 Batch.
             10 PALGABND-dynamisch      Pic X(08) Value 'PALGABND'.
      *
       01 Steuerungs-Parameter.
          05 Bdv-Aufruf                 Pic X     Value 'E'.
             88 Bdv-Aufruf-Erster                 Value 'E'.
             88 Bdv-Aufruf-Folge                  Value 'F'.
      *
       01 Konstanten.
          05 K-Programmname             Pic X(08) Value 'PTSSZU2'.
      *
       01 Interne-Variablen.
          05 Indices.
             10 Index-1                 Pic S9(4) Binary Value 1.
          05 Bedingungs-Variablen.
             10 Bdv-1                   Pic X     Value 'N'.
                88 Bdv-1-OK                       Value 'J'.
      * Wenn möglich, bitte nach Datentypen sortieren.
          05 Interne-Datenfelder.
             10 Intern-Datenfeld        Pic X     Value Space.
      *
       01 PALGABND-Uebergabe.
          Copy CALGABND.
      *
      *-----------------------------------------------------------------
HOST   Local-Storage Section.
      *
      *-----------------------------------------------------------------
       Linkage Section.
      *
       01 Uebergabe-PTSSZU2.
          Copy CTSSZU2.
      *
      *-----------------------------------------------------------------
       Procedure Division Using Uebergabe-PTSSZU2.
      *
       Steuerung.
      *
           Perform Eroeffnen-Programm
      *
           Perform Verarbeiten-Daten
      *
           Perform Abschliessen-Programm
      *
           Continue.
      *-- Kommentar davor ----------------------------------------------
       Eroeffnen-Programm.
      *-- Kommentar danach ---------------------------------------------
      *
           Perform Initialisieren
      *
           If Bdv-Aufruf-Erster
           Then
      D       Display K-Programmname ': ' Function When-Compiled
              Set Bdv-Aufruf-Folge To True
           Else
              Continue
           End-If
      *
           Continue.
      *-----------------------------------------------------------------
       Initialisieren.
      *
           Continue.
      *-----------------------------------------------------------------
       Verarbeiten-Daten.
==>   * Verarbeitung bitte hier einfügen
           If     CTSSZU2-Zahl-1 Numeric
              And CTSSZU2-Zahl-2 Numeric
           Then
              Compute CTSSZU2-Ergebnis
                    = CTSSZU2-Zahl-1
                    + CTSSZU2-Zahl-2
              End-Compute
              Set BDV-Kein-Fehler To True
           Else
              Set BDV-Fehler To True
           End-If
      *
           Continue.
      *
      *-----------------------------------------------------------------
==>   * Unterroutinen bitte hier einfügen
      *
      *-----------------------------------------------------------------
       Abschliessen-Programm.
      *
           Perform Fuellen-Uebergabe
           Perform Beenden-Programm
      *
           Continue.
      *-----------------------------------------------------------------
       Fuellen-Uebergabe.
      *
           Continue.
      *-----------------------------------------------------------------
       Beenden-Programm.
      *
           Goback.
       End Program PTSSZU2.